summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_housekeeping.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2014-10-29 13:17:02 +0100
committerHolger Levsen <holger@layer-acht.org>2014-10-29 13:17:02 +0100
commit2db6f29e848ba0381d4ebf933c7b04c02971f8ba (patch)
tree6bad6047d9d96df10a98202aabb1cb101e14073b /bin/reproducible_housekeeping.sh
parentcf769d7eef56c57c0099b94c5ece4669b7fb9e68 (diff)
downloadjenkins.debian.net-2db6f29e848ba0381d4ebf933c7b04c02971f8ba.tar.xz
really silence it
Diffstat (limited to 'bin/reproducible_housekeeping.sh')
-rwxr-xr-xbin/reproducible_housekeeping.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/bin/reproducible_housekeeping.sh b/bin/reproducible_housekeeping.sh
index 7908909f..3086040a 100755
--- a/bin/reproducible_housekeeping.sh
+++ b/bin/reproducible_housekeeping.sh
@@ -83,8 +83,8 @@ QUERY="
ORDER BY date_scheduled
"
PACKAGES=$(mktemp)
-sqlite3 -init $INIT ${PACKAGES_DB} "$QUERY" > $PACKAGES || echo "Warning: SQL query '$QUERY' failed."
-if [ -s $PACKAGES ] ; then
+sqlite3 -init $INIT ${PACKAGES_DB} "$QUERY" > $PACKAGES 2> /dev/null || echo "Warning: SQL query '$QUERY' failed."
+if grep -q '|' $PACKAGES ; then
echo
echo "Warning: packages found where the build was started more than 24h ago:"
echo "name|date_scheduled|date_build_started"